summaryrefslogtreecommitdiffstats
path: root/lib/cmd
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2014-08-17 20:49:50 (EDT)
committer P. J. McDermott <pj@pehjota.net>2014-08-17 20:49:50 (EDT)
commit9c719846187e702fba022d602b5fe9a88ae5809a (patch)
tree67f40bb9c2f0bce2cfb00b66f35fa4982e24ed6f /lib/cmd
parent3306d90f7944c347ef6dd6aed6bfb55f0a68b9c2 (diff)
install: Validate architecture and platform
Diffstat (limited to 'lib/cmd')
-rw-r--r--lib/cmd/install.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/lib/cmd/install.sh b/lib/cmd/install.sh
index 1322209..a296891 100644
--- a/lib/cmd/install.sh
+++ b/lib/cmd/install.sh
@@ -59,6 +59,10 @@ cmd_install_main()
if [ "x${cmd_install_opt_P+set}" = 'xset' ]; then
plat="${cmd_install_opt_P}"
fi
+ if ! profile_validate_archplat "${arch}" "${plat}"; then
+ error 2 "$(get_msg 'cmd_install_bad_archplat')" \
+ "${arch}" "${plat}"
+ fi
if ! mkdir "${chroot}" || ! mkdir "${chroot}/.prokit"; then
: Error